package business;

import business.Curso;

public class PreencheCurso {
	static public Curso getCurso1() {
		int id = 1;
		String nome = "nome do professor 1";
		String grau = "titulo do professor 1";
		int cargaHoraria = 40;
		int idAluno = 123;

		Curso curso = geraInstancia(id, nome, grau, cargaHoraria, idAluno);

		return curso;
	}
	
	private static Curso geraInstancia(int id, String nome, String grau, int cargaHoraria, int idAluno) {
		Curso curso = new Curso();

		curso.setId(id);
		curso.setNome(new String(nome));
		curso.setGrau(new String(grau));
		curso.setCargaHoraria(cargaHoraria);
		curso.setIdAluno(idAluno);
		
		return curso;
	}
	
	static public void alteraDadosCurso(Curso curso) {
		String nome = curso.getNome() + " *";
		String grau = curso.getGrau() + " *";
		int cargaHoraria = curso.getCargaHoraria() + 10;
		int idAluno = curso.getIdAluno() + 10;

		curso.setNome(new String(nome));
		curso.setGrau(new String(grau));
		curso.setCargaHoraria(cargaHoraria);
		curso.setIdAluno(idAluno);
	}
}
